Subject: Re: bug#37455: 27.0.50; insert-behind-hooks and insert-in-front-hooks in text properties do nothing when font-lock-mode is on
From: Eli Zaretskii <[email-masked]>
To: Ihor Radchenko <[email-masked]>
Cc: [email-masked]
Date: Thu, 19 Sep 2019 20:35:13 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 20 Sep 2019 00:46:52 +0800
> 
> Thanks!
> I can confirm that the hooks work as expected in master.

Thanks, I'm therefore closing this bug report.

> "Too bad they have names that end in -hooks, which is misleading. Even
> if they were actually hooks (which are variables), because their
> functions take arguments they would be considered "abnormal
> hooks", and abnormal hooks are conventionally named with the
> suffix -functions (not -hooks). Following that convention would
> also be less misleading, lessening the suggestion that they're
> hooks."
> 
> Would it make sense to change the text and overlay property names to
> something like insert-in-front-functions, insert-behind-functions, and
> modification-functions?

I don't see a serious enough reason to change names of these
properties, which were introduced in Emacs 19(!).  The person who
wrote that raises many similar arguments, so I'm not surprised to hear
this one.

IOW, this ship has sailed decades ago, and it's too late to rename it
now.

Thanks.